@use '@angular/material' as mat;
@use 'light-theme';
@use 'material-theme';
@use 'material-override';
@use 'components';
@use 'variables';

@include mat.core();
@include mat.core-theme(light-theme.$main-theme);

@include mat.button-theme(light-theme.$main-theme);
@include mat.toolbar-theme(light-theme.$main-theme);
@include mat.input-theme(light-theme.$main-theme);
@include mat.radio-theme(light-theme.$main-theme);
@include mat.form-field-theme(light-theme.$main-theme);
@include mat.snack-bar-theme(light-theme.$main-theme);
@include material-theme.theme(light-theme.$main-theme);
@include components.theme(light-theme.$main-theme);

::-webkit-scrollbar {
  width: 1rem;
}

::-webkit-scrollbar-track {
  border-radius: 100vw;
}

::-webkit-scrollbar-thumb {
  border-radius: 100vw;
}

html, body { 
  height: 100%;
}

body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  scrollbar-width: thin;
  // scrollbar-color: red green;
}

p{
  margin:0;
}

h1{
  margin: 0;
  font-size: variables.$h1-font-height;
  text-align: center;
}

app-main-layout{
  width: 100%;
  height: 100%;
}

.bar{
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: white;
}

.active {
    right: 0;

    .bar:nth-child(2) {
      opacity: 0;
    }

    .bar:nth-child(1) {
      transform: translateY(8px) rotate(45deg);
    }

    .bar:nth-child(3) {
      transform: translateY(-8px) rotate(-45deg);
    }
  } 
